The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of WebKitGTK+: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of WebKitGTK+.
Impacted products: iOS by Apple, iPhone, Debian, Fedora, openSUSE Leap, Solaris, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this bulletin: 2/4.
Number of vulnerabilities in this bulletin: 18.
Creation date: 02/05/2018.
Références of this threat: bulletinoct2018, CVE-2018-4101, CVE-2018-4113, CVE-2018-4114, CVE-2018-4117, CVE-2018-4118, CVE-2018-4119, CVE-2018-4120, CVE-2018-4122, CVE-2018-4125, CVE-2018-4127, CVE-2018-4128, CVE-2018-4129, CVE-2018-4133, CVE-2018-4146, CVE-2018-4161, CVE-2018-4162, CVE-2018-4163, CVE-2018-4165, DSA-4256-1, FEDORA-2018-499f2dbc96, HT208693, openSUSE-SU-2018:2134-1, openSUSE-SU-2018:2135-1, openSUSE-SU-2018:3473-1, openSUSE-SU-2019:0081-1, RHSA-2018:2282-01, SUSE-SU-2018:3387-1, SUSE-SU-2019:0092-1, USN-3635-1, VIGILANCE-VUL-26013.

Description of the vulnerability 

An attacker can use several vulnerabilities of WebKitGTK+.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat note impacts software or systems such as iOS by Apple, iPhone, Debian, Fedora, openSUSE Leap, Solaris, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this cybersecurity note is medium.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 18 vulnerabilities.

An attacker with a expert ability can exploit this vulnerability note.

Solutions for this threat 

Apple iOS: version 11.3.
The version 11.3 is fixed:
  https://support.apple.com/

Debian 9: new chromium-browser packages.
New packages are available:
  Debian 9: chromium-browser 68.0.3440.75-1~deb9u1

Fedora 28: new chromium packages.
New packages are available:
  Fedora 28: chromium 68.0.3440.106-3.fc28

openSUSE Leap 15.0: new webkit2gtk3 packages (23/01/2019).
New packages are available:
  openSUSE Leap 15.0: webkit2gtk3 2.22.5-lp150.2.9.1

openSUSE Leap 42.3: new webkit2gtk3 packages (26/10/2018).
New packages are available:
  openSUSE Leap 42.3: webkit2gtk3 2.20.3-11.1

openSUSE Leap: new chromium packages.
New packages are available:
  openSUSE Leap 42.3: chromium 68.0.3440.75-164.1
  openSUSE Leap 15.0: chromium 68.0.3440.75-lp150.2.6.1

Oracle Solaris: patch for third party software of October 2018 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

RHEL 6.10: new chromium-browser packages.
New packages are available:
  RHEL 6: chromium-browser 68.0.3440.75-1.el6_10

SUSE LE 12: new chromium packages.
New packages are available:
  SUSE LE 12 RTM-SP3: chromium 68.0.3440.75-61.1

SUSE LE 12 SP3: new webkit2gtk3 packages.
New packages are available:
  SUSE LE 12 SP3: webkit2gtk3 2.20.3-2.23.8

SUSE LE 15: new webkit2gtk3 packages (16/01/2019).
New packages are available:
  SUSE LE 15 RTM: webkit2gtk3 2.22.5-3.13.1

Ubuntu: new libwebkit2gtk-4.0-37 packages.
New packages are available:
  Ubuntu 17.10: libwebkit2gtk-4.0-37 2.20.1-0ubuntu0.17.10.1
  Ubuntu 16.04 LTS: libwebkit2gtk-4.0-37 2.20.1-0ubuntu0.16.04.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides computer security alerts. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications.